pia-nm
======

NetworkManager config files for [Private Internet Access' Virtual Private Network](https://www.privateinternetaccess.com/pages/buy-vpn/MMPRO001) ([PIA VPN servers](https://www.privateinternetaccess.com/pages/buy-vpn/MMPRO001)).

Sources
-------
* [https://www.privateinternetaccess.com/pages/network](https://www.privateinternetaccess.com/pages/network/MMPRO001)

Remember
---------
1. **Replace** (recursively) each of the `REPLACE_LOCAL_USERNAME` (line 5) and `REPLACE_PIA_USERNAME` (line 10) in all config files in `/etc/NetworkManager/system-connection/*`
2. If you prefer, you can comment out or remove the line number 5 of each config file to **allow all system users can connect through the VPN**.
3. In `/etc/NetworkManager/system-connection/*` every UUID (line 3) **should be unique** for each network connection config file, but it can be persistent between config edits
4. `chown root:root /etc/vpnconfig/ca-pia.crt`
5. `chmod 600 /etc/vpnconfig/ca-pia.crt`
6. `chown root:root /etc/NetworkManager/system-connection/*`
7. `chmod 600 /etc/NetworkManager/system-connection/*`

Changelog
----------
## 20160808
* Added [Finland (FI) VPN server](https://www.privateinternetaccess.com/pages/network/MMPRO001)
* Added [Hong Kong (HK) VPN server](https://www.privateinternetaccess.com/pages/network/MMPRO001)
* Removed *Russia (RU)* VPN server

### 20151213
* `/etc/vpnconfig/ca.crt` moved to `/etc/vpnconfig/ca-pia.crt`
* Added [Denmark (DK) VPN server](https://www.privateinternetaccess.com/pages/network/MMPRO001)
* Added [India (IN) VPN server](https://www.privateinternetaccess.com/pages/network/MMPRO001)
* Added [Norway (NO) VPN server](https://www.privateinternetaccess.com/pages/network/MMPRO001)
* Added [New Zealand (NZ) VPN server](https://www.privateinternetaccess.com/pages/network/MMPRO001)

### 20151212
* Added [Australian (AU) VPN servers](https://www.privateinternetaccess.com/pages/australia-vpn-services/MMPRO001): At [Melbourne](https://www.privateinternetaccess.com/pages/australia-vpn-services/MMPRO001) and [Sydney](https://www.privateinternetaccess.com/pages/australia-vpn-services/MMPRO001)
